Get a public payment link
GET
/v1/public/payment-links/{slug}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.feitpay.com/v1/public/payment-links/example"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.feitpay.com/v1/public/payment-links/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.feitpay.com/v1/public/payment-links/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”slug
required
string
Responses
Section titled “Responses”Link summary.
Media typeapplication/json
object
object
required
string
slug
required
string
title
required
string
description
required
string | null
amount
required
Decimal string. Never a float.
string
currency
required
string
merchant
required
object
display_name
required
string
website_domain
required
string | null
sandbox_fixture
required
boolean
active
required
boolean
livemode
required
boolean
Example
{ "object": "public_payment_link", "amount": "59.90"}Resource not found (or not visible to this tenant).
Media typeapplication/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error" }}